Back to Douyin
TikHub·Douyin

Douyin Web: Get user homepage video data

/api/v1/douyin/web/fetch_user_post_videossync$0.003 / call

Get user homepage video data. Note: Please try to use the APP interface instead of the WEB API, because the WEB API may be unstable. (TikHub · Douyin Web)

Input
  • sec_user_idstringrequired

    User secuserid

  • max_cursorstring

    Maximum cursor (default "0")

  • countinteger

    Number per page (default 20)

  • filter_typestring

    Filter type (default "0")

  • cookiestring

    Your web version of Douyin Cookie

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/douyin/web/fetch_user_post_videos","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.